Bug 1786112 - Deepin is broken since the update of 18/12/2019
Summary: Deepin is broken since the update of 18/12/2019
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: deepin-kwin
Version: 31
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Robin Lee
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-23 13:48 UTC by cornosier
Modified: 2020-01-09 01:26 UTC (History)
6 users (show)

Fixed In Version: deepin-kwin-0.1.0-4.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-09 01:26:48 UTC
Type: Bug


Attachments (Terms of Use)
systemctl (37.09 KB, text/plain)
2019-12-23 13:48 UTC, cornosier
no flags Details

Description cornosier 2019-12-23 13:48:49 UTC
Created attachment 1647316 [details]
systemctl

Deepin is broken since the update of 18/12/2019

The display is partial, no doc
Windows cannot be moved or closed
Here is the content of systemctl from the connection

The system is unusable

Thank you

Comment 1 Felix Yan 2019-12-23 14:07:03 UTC
Sounds like deepin-kwin is not working correctly. Can you check if the update involves kwin 5.17? There is a known compatibility issue with that.

Comment 2 cornosier 2019-12-23 14:14:07 UTC
Installed packages
Nom          : kwin
Version      : 5.17.4
Publication  : 1.fc31
Architecture : x86_64
Taille       : 98 k
Source       : kwin-5.17.4-1.fc31.src.rpm
Dépôt        : @System
Depuis le dé : updates
Résumé       : KDE Window manager
URL          : https://userbase.kde.org/KWin
Licence      : GPLv2 or GPLv3
Description  : KDE Window manager.

Comment 3 cornosier 2019-12-23 14:27:22 UTC
I tried to downgrade in kwin-5.16.5-2.fc31.x86_64
it doesn't change anything

Comment 4 Robin Lee 2019-12-23 15:44:55 UTC
What's the output if you run 'kwin_no_scale' directly?
The issue should be just fixed in deepin-kwin-0.1.0-4.fc31. Download from koji[1] or wait a few hours for it to come to updates-testing.
[1] https://koji.fedoraproject.org/koji/buildinfo?buildID=1424570

Comment 5 cornosier 2019-12-23 16:24:39 UTC
$ kwin_no_scale
kwin_x11: symbol lookup error: /lib64/libkwin-xcb.so.0: undefined symbol: _ZN4KWin10Compositor7suspendENS0_13SuspendReasonE

# dnf update ./deepin-kwin-0.1.0-4.fc31.x86_64.rpm 
Dependencies resolved.

 Problem: cannot install the best update candidate for package deepin-kwin-0.1.0-2.fc31.x86_64
  - nothing provides qt5-qtbase(x86-64) = 5.13.2 needed by deepin-kwin-0.1.0-4.fc31.x86_64
  - nothing provides libQt5Core.so.5(Qt_5.13)(64bit) needed by deepin-kwin-0.1.0-4.fc31.x86_64
  - nothing provides libQt5Core.so.5(Qt_5.13.2_PRIVATE_API)(64bit) needed by deepin-kwin-0.1.0-4.fc31.x86_64
  - nothing provides libQt5Gui.so.5(Qt_5.13.2_PRIVATE_API)(64bit) needed by deepin-kwin-0.1.0-4.fc31.x86_64

Comment 6 Robin Lee 2019-12-23 16:28:20 UTC
dnf update --enablerepo=updates-testing ./deepin-kwin-0.1.0-4.fc31.x86_64.rpm

Comment 7 cornosier 2019-12-23 17:22:04 UTC
It works
thank you so much
Gérard

Comment 8 Fedora Update System 2019-12-25 07:54:21 UTC
FEDORA-2019-1571a44ff7 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-1571a44ff7

Comment 9 Marc Mercer 2019-12-25 18:11:26 UTC
Unable to resolve issues with deepin-kwin via updates-testing.  There are conflicts through qt5-qtbase and deepin-kwin.  Deepin is currently 100% broken in Fedora 31 and this needs escalation.

sudo dnf update --enablerepo=updates-testing ./deepin-kwin-0.1.0-4.fc31.x86_64.rpm      
Enpass password manager repository                           8.1 kB/s | 3.9 kB     00:00    
Fedora Modular 31 - x86_64                                   4.7 MB/s | 5.2 MB     00:01    
Fedora Modular 31 - x86_64 - Updates                         3.5 MB/s | 3.9 MB     00:01    
Fedora 31 - x86_64 - Test Updates                            6.9 MB/s |  12 MB     00:01    
Fedora 31 - x86_64 - Updates                                 6.7 MB/s |  15 MB     00:02    
Fedora 31 - x86_64                                           8.6 MB/s |  71 MB     00:08    
google-chrome                                                 24 kB/s | 3.5 kB     00:00    
RPM Fusion for Fedora 31 - Free - Updates                     77 kB/s | 156 kB     00:02    
RPM Fusion for Fedora 31 - Free                              362 kB/s | 663 kB     00:01    
RPM Fusion for Fedora 31 - Nonfree - Steam                   1.4 kB/s | 1.7 kB     00:01    
RPM Fusion for Fedora 31 - Nonfree - Updates                  38 kB/s |  52 kB     00:01    
RPM Fusion for Fedora 31 - Nonfree                           149 kB/s | 241 kB     00:01    
skype (stable)                                               2.4 kB/s | 4.0 kB     00:01    
TeamViewer - x86_64                                          160 kB/s |  19 kB     00:00    
Fedora 31 - x86_64 - VirtualBox                              354 kB/s | 110 kB     00:00    
Dependencies resolved.

 Problem: problem with installed package calibre-4.5.0-1.fc31.x86_64
  - package calibre-4.5.0-1.fc31.x86_64 requires libQt5Core.so.5(Qt_5.12.5_PRIVATE_API)(64bit), but none of the providers can be installed
  - package calibre-4.5.0-1.fc31.x86_64 requires qt5-qtbase(x86-64) = 5.12.5, but none of the providers can be installed
  - package calibre-4.6.0-1.fc31.x86_64 requires libQt5Core.so.5(Qt_5.12.5_PRIVATE_API)(64bit), but none of the providers can be installed
  - package calibre-4.6.0-1.fc31.x86_64 requires qt5-qtbase(x86-64) = 5.12.5, but none of the providers can be installed
  - cannot install both qt5-qtbase-5.13.2-1.fc31.x86_64 and qt5-qtbase-5.12.5-2.fc31.x86_64
  - cannot install both qt5-qtbase-5.12.5-2.fc31.x86_64 and qt5-qtbase-5.13.2-1.fc31.x86_64
  - cannot install both qt5-qtbase-5.12.5-1.fc31.x86_64 and qt5-qtbase-5.13.2-1.fc31.x86_64
  - package deepin-kwin-0.1.0-4.fc31.x86_64 requires libQt5Core.so.5(Qt_5.13)(64bit), but none of the providers can be installed
  - package deepin-kwin-0.1.0-4.fc31.x86_64 requires libQt5Core.so.5(Qt_5.13.2_PRIVATE_API)(64bit), but none of the providers can be installed
  - package deepin-kwin-0.1.0-4.fc31.x86_64 requires qt5-qtbase(x86-64) = 5.13.2, but none of the providers can be installed
  - cannot install the best update candidate for package deepin-kwin-0.1.0-2.fc31.x86_64
=============================================================================================
 Package              Architecture    Version                 Repository                Size
=============================================================================================
Skipping packages with conflicts:
(add '--best --allowerasing' to command line to force their upgrade):
 qt5-qtbase           x86_64          5.12.5-1.fc31           fedora                   3.5 M
 qt5-qtbase           x86_64          5.13.2-1.fc31           updates-testing          3.5 M
Skipping packages with broken dependencies:
 calibre              x86_64          4.6.0-1.fc31            updates-testing           23 M
 deepin-kwin          x86_64          0.1.0-4.fc31            @commandline             201 k

Transaction Summary
=============================================================================================
Skip  4 Packages

Nothing to do.
Complete!

------
Unfortunately, you cannot do --best or allow-erasing to resolve either, as these just create more conflicts.  The only solution at the moment is to not update, or if you have updated, possibly rollback the transaction (havent tested this yet).

Comment 10 Robin Lee 2019-12-26 01:39:41 UTC
Calibre is also rebuilt against updates-testing(qt 5.13.2) but not pushed to dnf repo. So by now calibre has to be downloaded from koji too.
sudo dnf update --enablerepo=updates-testing ./deepin-kwin-0.1.0-4.fc31.x86_64.rpm https://kojipkgs.fedoraproject.org//packages/calibre/4.6.0/2.fc31/x86_64/calibre-4.6.0-2.fc31.x86_64.rpm

There is some little issue with Fedora infrastructure, packages are delayed to be pushed to updates-testing.

Comment 11 Fedora Update System 2020-01-04 22:22:46 UTC
analitza-19.08.3-2.fc31, appmenu-qt5-0.3.0+16.10.20160628.1-19.fc31, calibre-4.8.0-1.fc31, deepin-editor-1.2.9.1-3.fc31, deepin-file-manager-5.0.0-4.fc31, deepin-kwin-0.1.0-4.fc31, deepin-launcher-5.0.0-3.fc31, deepin-qt-dbus-factory-5.0.1-3.fc31, deepin-qt5dxcb-plugin-5.0.1-3.fc31, deepin-qt5integration-5.0.0-3.fc31, dnscrypt-proxy-gui-1.21.16-9.fc31, dtkwidget-2.1.1-3.fc31, dtkwm-2.0.12-3.fc31, elisa-player-19.12.0-2.fc31, fcitx-qt5-1.2.4-2.fc31, gammaray-2.11.0-4.fc31, gcin-2.8.9-2.fc31, hedgewars-1.0.0-3.fc31, kf5-akonadi-server-19.04.3-4.fc31, kf5-frameworkintegration-5.64.0-2.fc31, kf5-kdeclarative-5.64.0-2.fc31, kf5-kwayland-5.64.0-2.fc31, kf5-kxmlgui-5.64.0-2.fc31, kmymoney-5.0.7-2.fc31, kwin-5.17.4-2.fc31, libalkimia-8.0.2-1.fc31, libfm-qt-0.14.1-8.fc31, libqtxdg-3.3.1-7.fc31, lumina-desktop-1.5.0-3.fc31, lxqt-qtplugin-0.14.0-7.fc31, mscore-3.3.4-4.fc31, plasma-integration-5.17.4-2.fc31, pyotherside-1.5.8-6.fc31, python-pyside2-5.13.2-1.fc31, python-qt5-5.13.2-3.fc31, qgis-3.10.1-2.fc31, qgnomeplatform-0.6.0-2.fc31, qstardict-1.3-14.fc31, qt-creator-4.10.2-3.fc31, qt5-5.13.2-1.fc31, qt5-qt3d-5.13.2-1.fc31, qt5-qtbase-5.13.2-1.fc31, qt5-qtcanvas3d-5.12.5-2.fc31, qt5-qtcharts-5.13.2-1.fc31, qt5-qtconnectivity-5.13.2-1.fc31, qt5-qtdatavis3d-5.13.2-1.fc31, qt5-qtdeclarative-5.13.2-1.fc31, qt5-qtdoc-5.13.2-1.fc31, qt5-qtenginio-1.6.2-27.fc31, qt5-qtgamepad-5.13.2-1.fc31, qt5-qtgraphicaleffects-5.13.2-1.fc31, qt5-qtimageformats-5.13.2-1.fc31, qt5-qtlocation-5.13.2-1.fc31, qt5-qtmultimedia-5.13.2-1.fc31, qt5-qtnetworkauth-5.13.2-1.fc31, qt5-qtquickcontrols-5.13.2-1.fc31, qt5-qtquickcontrols2-5.13.2-1.fc31, qt5-qtremoteobjects-5.13.2-1.fc31, qt5-qtscript-5.13.2-1.fc31, qt5-qtscxml-5.13.2-1.fc31, qt5-qtsensors-5.13.2-1.fc31, qt5-qtserialbus-5.13.2-1.fc31, qt5-qtserialport-5.13.2-1.fc31, qt5-qtspeech-5.13.2-1.fc31, qt5-qtstyleplugins-5.0.0-37.fc31, qt5-qtsvg-5.13.2-1.fc31, qt5-qttools-5.13.2-3.fc31, qt5-qttranslations-5.13.2-1.fc31, qt5-qtvirtualkeyboard-5.13.2-1.fc31, qt5-qtwayland-5.13.2-2.fc31, qt5-qtwebchannel-5.13.2-1.fc31, qt5-qtwebengine-5.13.2-1.fc31, qt5-qtwebkit-5.212.0-0.41.alpha3.fc31, qt5-qtwebsockets-5.13.2-1.fc31, qt5-qtwebview-5.13.2-1.fc31, qt5-qtx11extras-5.13.2-1.fc31, qt5-qtxmlpatterns-5.13.2-1.fc31, qt5ct-0.38-7.fc31, qtcurve-1.9.1-9.fc31, skrooge-2.20.0-4.fc31, texmaker-5.0.3-7.fc31, ugene-33.0-11.fc31, xdg-desktop-portal-kde-5.17.4-2.fc31, yarock-1.4.0-6.fc31, yubioath-desktop-5.0.1-3.gitc58db92.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-1571a44ff7

Comment 12 Fedora Update System 2020-01-09 01:26:48 UTC
analitza-19.08.3-2.fc31, appmenu-qt5-0.3.0+16.10.20160628.1-19.fc31, calibre-4.8.0-1.fc31, deepin-editor-1.2.9.1-3.fc31, deepin-file-manager-5.0.0-4.fc31, deepin-kwin-0.1.0-4.fc31, deepin-launcher-5.0.0-3.fc31, deepin-qt-dbus-factory-5.0.1-3.fc31, deepin-qt5dxcb-plugin-5.0.1-3.fc31, deepin-qt5integration-5.0.0-3.fc31, dnscrypt-proxy-gui-1.21.16-9.fc31, dtkwidget-2.1.1-3.fc31, dtkwm-2.0.12-3.fc31, elisa-player-19.12.0-2.fc31, fcitx-qt5-1.2.4-2.fc31, gammaray-2.11.0-4.fc31, gcin-2.8.9-2.fc31, hedgewars-1.0.0-3.fc31, kf5-akonadi-server-19.04.3-4.fc31, kf5-frameworkintegration-5.64.0-2.fc31, kf5-kdeclarative-5.64.0-2.fc31, kf5-kwayland-5.64.0-2.fc31, kf5-kxmlgui-5.64.0-2.fc31, kmymoney-5.0.7-2.fc31, kwin-5.17.4-2.fc31, libalkimia-8.0.2-1.fc31, libfm-qt-0.14.1-8.fc31, libqtxdg-3.3.1-7.fc31, lumina-desktop-1.5.0-3.fc31, lxqt-qtplugin-0.14.0-7.fc31, mscore-3.3.4-4.fc31, plasma-integration-5.17.4-2.fc31, pyotherside-1.5.8-6.fc31, python-pyside2-5.13.2-1.fc31, python-qt5-5.13.2-3.fc31, qgis-3.10.1-2.fc31, qgnomeplatform-0.6.0-2.fc31, qstardict-1.3-14.fc31, qt-creator-4.10.2-3.fc31, qt5-5.13.2-1.fc31, qt5-qt3d-5.13.2-1.fc31, qt5-qtbase-5.13.2-1.fc31, qt5-qtcanvas3d-5.12.5-2.fc31, qt5-qtcharts-5.13.2-1.fc31, qt5-qtconnectivity-5.13.2-1.fc31, qt5-qtdatavis3d-5.13.2-1.fc31, qt5-qtdeclarative-5.13.2-1.fc31, qt5-qtdoc-5.13.2-1.fc31, qt5-qtenginio-1.6.2-27.fc31, qt5-qtgamepad-5.13.2-1.fc31, qt5-qtgraphicaleffects-5.13.2-1.fc31, qt5-qtimageformats-5.13.2-1.fc31, qt5-qtlocation-5.13.2-1.fc31, qt5-qtmultimedia-5.13.2-1.fc31, qt5-qtnetworkauth-5.13.2-1.fc31, qt5-qtquickcontrols-5.13.2-1.fc31, qt5-qtquickcontrols2-5.13.2-1.fc31, qt5-qtremoteobjects-5.13.2-1.fc31, qt5-qtscript-5.13.2-1.fc31, qt5-qtscxml-5.13.2-1.fc31, qt5-qtsensors-5.13.2-1.fc31, qt5-qtserialbus-5.13.2-1.fc31, qt5-qtserialport-5.13.2-1.fc31, qt5-qtspeech-5.13.2-1.fc31, qt5-qtstyleplugins-5.0.0-37.fc31, qt5-qtsvg-5.13.2-1.fc31, qt5-qttools-5.13.2-3.fc31, qt5-qttranslations-5.13.2-1.fc31, qt5-qtvirtualkeyboard-5.13.2-1.fc31, qt5-qtwayland-5.13.2-2.fc31, qt5-qtwebchannel-5.13.2-1.fc31, qt5-qtwebengine-5.13.2-1.fc31, qt5-qtwebkit-5.212.0-0.41.alpha3.fc31, qt5-qtwebsockets-5.13.2-1.fc31, qt5-qtwebview-5.13.2-1.fc31, qt5-qtx11extras-5.13.2-1.fc31, qt5-qtxmlpatterns-5.13.2-1.fc31, qt5ct-0.38-7.fc31, qtcurve-1.9.1-9.fc31, skrooge-2.20.0-4.fc31, texmaker-5.0.3-7.fc31, ugene-33.0-11.fc31, xdg-desktop-portal-kde-5.17.4-2.fc31, yarock-1.4.0-6.fc31, yubioath-desktop-5.0.1-3.gitc58db92.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.